Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.parseTreeConstruction
Class ATestParsetreeConstructor.Constraint_Group_5

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
          org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.GroupToken
              org.eclipse.amp.amf.testing.parseTreeConstruction.ATestParsetreeConstructor.Constraint_Group_5

Enclosing class:
  ATestParsetreeConstructor

    protected class ATestParsetreeConstructor.Constraint_Group_5

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.GroupToken

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`eObjectConsumer, lastRuleCallOrigin, next, node, tokensForSemanticChildren, transitionIndex`

Constructor Summary
`ATestParsetreeConstructor.Constraint_Group_5(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next, int transitionIndex, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)`

Method Summary
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `createFollower(int index, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`
`org.eclipse.xtext.Group` | `getGrammarElement()`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`checkForRecursion, createFollowerAfterReturn, dumpTokens, equalsOrReplacesNode, getEObject, getEObjectConsumer, getLastRuleCallOrigin, getNext, getNode, getTokensForSemanticChildren, getTransitionIndex, serialize, serializeInternal, setNode, tryConsume`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestParsetreeConstructor.Constraint_Group_5

    public ATestParsetreeConstructor.Constraint_Group_5(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin,
                                                        org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next,
                                                        int transitionIndex,
                                                        org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)

Method Detail

### getGrammarElement

    public org.eclipse.xtext.Group getGrammarElement()

  Specified by:
    `getGrammarElement` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### createFollower

    public org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken createFollower(int index,
                                                                                                               org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Overrides:
    `createFollower` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD